function TestActivity:StartActivity()
    print("START! -- TestActivity:StartActivity()!");
	self.ActivityState = Activity.EDITING;
    -- Open all doors so we can do pathfinding through them with the brain placement
    MovableMan:OpenAllDoors(true, Activity.NOTEAM);
    AudioMan:ClearMusicQueue();
    AudioMan:PlayMusic("Base.rte/Music/dBSoundworks/ccambient4.ogg", -1, -1);
	self.Editing = true;
end

function TestActivity:PauseActivity(pause)
    print("PAUSE! -- TestActivity:PauseActivity()!");
end

function TestActivity:EndActivity()
    print("END! -- TestActivity:EndActivity()!");
end

function TestActivity:UpdateActivity()
    if self.ActivityState == Activity.EDITING and self.Editing == true then
        -- Open all doors so we can do pathfinding through them with the brain placement
        MovableMan:OpenAllDoors(true, Activity.NOTEAM);
	else
		self.Editing = false;
	end
	
	if not self:GetPlayerBrain(0) then
        self.ActivityState = Activity.EDITING;
        --Open all doors so we can do pathfinding through them with the brain placement
        MovableMan:OpenAllDoors(true, Activity.NOTEAM);
        AudioMan:ClearMusicQueue();
        AudioMan:PlayMusic("Base.rte/Music/dBSoundworks/ccambient4.ogg", -1, -1);
		self.Editing = true;
	end
	
	self:SetTeamFunds(1000000, Activity.TEAM_1); 
end